Package org.gitana.platform.client.webhost

# Class AutoClientMappingImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.platform.AbstractPlatformDocumentImpl
org.gitana.platform.client.webhost.AbstractWebHostDocumentImpl
org.gitana.platform.client.webhost.AutoClientMappingImpl

All Implemented Interfaces:
  `Serializable`, `Document`, `PlatformDocument`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `AutoClientMapping`, `WebHostDocument`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class AutoClientMappingImpl extends AbstractWebHostDocumentImpl implements AutoClientMapping

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.webhost.AutoClientMapping

`FIELD_APPLICATION_ID, FIELD_APPLICATION_KEY, FIELD_AUTH_GRANT_KEY, FIELD_CLIENT_KEY, FIELD_HOST`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`AutoClientMappingImpl(WebHost webhost, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`
Delete
`boolean`
`equals(Object object)`
`String`
`getApplicationId()`
`String`
`getApplicationKey()`
`String`
`getAuthGrantKey()`
`String`
`getClientKey()`
`String`
`getHost()`
`String`
`getResourceUri()`
`String`
`getTypeId()`
`void`
`reload()`
Reload
`void`
`setApplicationId(String applicationId)`
`void`
`setApplicationKey(String applicationKey)`
`void`
`setAuthGrantKey(String authGrantKey)`
`void`
`setClientKey(String clientKey)`
`void`
`setHost(String host)`
`void`
`update()`
Update

### Methods inherited from class org.gitana.platform.client.webhost.AbstractWebHostDocumentImpl

`getWebHost, getWebHostId, ref`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDocumentImpl

`copy, copy, copyAsync, copyAsync, exportArchive, exportArchive, exportArchive, getCluster, getDriver, getFactory, getPlatform, getPlatformId, getRemote, importArchive, importArchive, importArchive`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

### Methods inherited from interface org.gitana.platform.client.webhost.WebHostDocument

`getPlatform, getWebHost, getWebHostId`

## Constructor Details

### AutoClientMappingImpl

public AutoClientMappingImpl(WebHost webhost, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

public String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractPlatformDocumentImpl`

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### update

public void update()
Description copied from interface: `Selfable`
Update

Specified by:
  `update` in interface `Selfable`

### delete

public void delete()
Description copied from interface: `Selfable`
Delete

Specified by:
  `delete` in interface `Selfable`

### reload

public void reload()
Description copied from interface: `Selfable`
Reload

Specified by:
  `reload` in interface `Selfable`

### getApplicationId

public String getApplicationId()

Specified by:
  `getApplicationId` in interface `AutoClientMapping`

### setApplicationId

public void setApplicationId(String applicationId)

Specified by:
  `setApplicationId` in interface `AutoClientMapping`

### getApplicationKey

public String getApplicationKey()

Specified by:
  `getApplicationKey` in interface `AutoClientMapping`

### setApplicationKey

public void setApplicationKey(String applicationKey)

Specified by:
  `setApplicationKey` in interface `AutoClientMapping`

### getHost

public String getHost()

Specified by:
  `getHost` in interface `AutoClientMapping`

### setHost

public void setHost(String host)

Specified by:
  `setHost` in interface `AutoClientMapping`

### getClientKey

public String getClientKey()

Specified by:
  `getClientKey` in interface `AutoClientMapping`

### setClientKey

public void setClientKey(String clientKey)

Specified by:
  `setClientKey` in interface `AutoClientMapping`

### getAuthGrantKey

public String getAuthGrantKey()

Specified by:
  `getAuthGrantKey` in interface `AutoClientMapping`

### setAuthGrantKey

public void setAuthGrantKey(String authGrantKey)

Specified by:
  `setAuthGrantKey` in interface `AutoClientMapping`